﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace StripControls
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
    
            this.Text = "Простое меню";
    
            // Главное меню
            MenuStrip menu = new MenuStrip();
            this.Controls.Add(menu);
    
            // Раздел File
            ToolStripMenuItem itemFile = new ToolStripMenuItem();
            itemFile.Text = "&File";
            menu.Items.Add(itemFile);// Элемент верхнего уровня
    
            // Раздел Help
            ToolStripMenuItem itemHelp = new ToolStripMenuItem();
            itemHelp.Text = "&Help";
            menu.Items.Add(itemHelp);
    
            // Заполнение раздела File
            // Команда Open...
            ToolStripMenuItem itemOpen = new ToolStripMenuItem();
            itemOpen.Text = "&Open...";
            itemOpen.ShortcutKeys = Keys.Control | Keys.O; // Ctrl+O
            itemOpen.ShowShortcutKeys = true;// Отображать в команде
            // Регистрировать вручную!!!!!!!!!!!!!!
            itemOpen.Click += new EventHandler(itemOpen_Click);
            itemFile.DropDownItems.Add(itemOpen);
            // itemOpen.ShowShortcutKeys = false;// Скрыть комбинацию 
    
            // Разделитель
            ToolStripSeparator itemSep = new ToolStripSeparator();
            itemFile.DropDownItems.Add(itemSep);
    
            // Команда Exit
            ToolStripMenuItem itemExit = new ToolStripMenuItem();
            itemExit.Text = "E&xit";
            // Регистрировать вручную!!!!!!!!!!!!!!
            itemExit.Click += new EventHandler(itemExit_Click);
            itemFile.DropDownItems.Add(itemExit);
            itemExit.ShortcutKeys = Keys.Control | Keys.X;
    
            // Заполнение раздела Help
            // Команда About...
            ToolStripMenuItem itemAbout = new ToolStripMenuItem();
            itemAbout.Text = "&About...";
            itemAbout.ShortcutKeys = Keys.Control | Keys.A; // Ctrl+A
            itemAbout.ShortcutKeyDisplayString = "Ctrl^A";// Свое отображение
            itemAbout.ShowShortcutKeys = true;// Отображать в команде
            // Регистрировать вручную!!!!!!!!!!!!!!
            itemAbout.Click += new EventHandler(itemAbout_Click);
            itemHelp.DropDownItems.Add(itemAbout);
        }
    
        void itemAbout_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Заготовка опции \"About...\"", this.Text);
        }
    
        void itemExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    
        void itemOpen_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Заготовка опции \"Open\"", this.Text);
        }
    }
}