﻿using System;
    
namespace UtilityResource
{
    using System.Resources;
    using System.Drawing;
    
    class Program
    {
        static void Main(string[] args)
        {
            // Создаем объект для записи в двоичный файл ресурсов
            ResourceWriter rw = new ResourceWriter("ResXForm4.resources");
    
            // Добавляем в файл описание ресурсов 'Ключ-Значение' (Key-Value)
            // Ресурсы должны находиться в одном каталоге с утилитой!!!
            rw.AddResource("Cut", new Bitmap("Cut.bmp"));
            rw.AddResource("Copy", new Bitmap("Copy.bmp"));
            rw.AddResource("Paste", new Bitmap("Paste.bmp"));
            rw.AddResource("Delete", new Bitmap("Delete.bmp"));
            rw.AddResource("Open", new Bitmap("Open.bmp"));
            rw.AddResource("Save", new Bitmap("Save.bmp"));
            rw.AddResource("strTitle", "Список изображений");
            rw.AddResource("icoTitle", new Icon("1.ico"));
    
            // Сохраняем файл с добавленными ресурсами и закрываем его
            rw.Generate();
            rw.Close();
        }
    }
}
